$kind: http-request
url: "{{sahara}}assets/assetmaintenance/create"
method: POST
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: "{\r

    \    \"asset_id\": \"c8aacda5-dee4-4544-94ba-b994cebb757d\",\r

    \    \"start_date\": \"2025-03-01\",\r

    \    \"end_date\": \"2025-03-05\",\r

    \    \"maintenance_type\": \"Preventive\",//'Preventive', 'Corrective',
    'Scheduled'\r

    \    \"downtime_days\": 4,\r

    \    \"description\": \"Annual preventive maintenance check\",\r

    \    \"cost\": 500.00,\r

    \    \"service_provider_id\": \"d02b3743-8202-4eed-ac2e-0bbd0fff0e33\",
    //List searchable Suppliers\r

    \    \"priority\": \"High\",//List'Low', 'Medium', 'High', 'Critical' \r

    \    \"checklist\": [ //Nullable mean't to pick a list of tasks to be
    performed\r

    \        \"Inspect all components\",\r

    \        \"Lubricate moving parts\",\r

    \        \"Test safety features\"\r

    \    ]\r

    }"
auth:
  type: bearer
  credentials:
    token: "{{sahara_token}}"
order: 4000
